Bug 170719 - ksh loss of function - does not support vi-esccomplete option
ksh loss of function - does not support vi-esccomplete option
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ksh (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 20:43 EDT by Larry Sturtz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 04:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Sturtz 2005-10-13 20:43:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Users cannot use ESC-ESC for completion.  The vi-esccomplete was supported in
pdksh but is not supported in the "real" ksh.  This action was the default on
many commercial Unix ksh, including HP.  This is a very big loss of usability
and a great inconvenience for users.  Profiles copied from FC3 show this error.

Why was pdksh replaced by ksh anyway?  ksh is not an improvement, it is a
perceived solution to a non-existent problem.  

Version-Release number of selected component (if applicable):
ksh-20050202-1.i386

How reproducible:
Always

Steps to Reproduce:
1. set -o vi-esccomplete
2.
3.
  

Actual Results:  bad option

Expected Results:  ESC-ESC should do command/filename completion

Additional info:

Worked around problem by installing FC3 pdksh.
Comment 1 Larry Sturtz 2006-04-01 10:05:52 EST
Geez!  Is this just being ignored in the Bugzilla Black Hole???????

If this bug makes it to RHEL I'll be looking elsewhere.  Many HP-UX users are
accustomed to esc-esc.  Please bring back this functionality.


Comment 2 Karsten Hopp 2006-05-02 09:43:21 EDT
You need to report this problem upstream at
http://public.research.att.com/~gsf/download/ at the 'feedback' link.
This isn't something that we will address with an patch as this needs to be
decided by the Korn-Shell maintainer
Comment 3 Larry Sturtz 2006-05-21 12:53:17 EDT
Karsten, This is a total BS answer.

Upstream did not change anything--Fedora did!
Comment 4 Karsten Hopp 2006-05-22 04:50:58 EDT
No we didn't. Grab the sources from http://www.kornshell.com/, compile it without
any patches and check if ESC-ESC works. I'm quite sure it won't. 
According to ksh documentation ESC-ESC works only in emacs and gemacs mode.
Vi-mode has only ^I. We didn't patch this feature out. 
Comment 5 Larry Sturtz 2006-05-24 07:07:44 EDT
Ah, yes, you did.  The pdksh package was replaced with ksh.  Thus, the loss of
functionality.  I didn't say you patched it out, but the results are the same. 
Check any release prior to FC4.  Guess you didn't even read my initial comment.

Note You need to log in before you can comment on or make changes to this bug.